NeAACDecFrameInfo Struct Reference

`#include <neaacdec.h>`

## Public Attributes

unsigned long | bytesconsumed
unsigned long | samples
unsigned char | channels
unsigned char | error
unsigned long | samplerate
unsigned char | sbr
unsigned char | object_type
unsigned char | header_type
unsigned char | num_front_channels
unsigned char | num_side_channels
unsigned char | num_back_channels
unsigned char | num_lfe_channels
unsigned char | channel_position [64]
unsigned char | ps

## Member Data Documentation

## bytesconsumed

unsigned long NeAACDecFrameInfo::bytesconsumed

## channel_position

unsigned char NeAACDecFrameInfo::channel_position[64]

## channels

unsigned char NeAACDecFrameInfo::channels

## error

unsigned char NeAACDecFrameInfo::error

## header_type

unsigned char NeAACDecFrameInfo::header_type

## num_back_channels

unsigned char NeAACDecFrameInfo::num_back_channels

## num_front_channels

unsigned char NeAACDecFrameInfo::num_front_channels

## num_lfe_channels

unsigned char NeAACDecFrameInfo::num_lfe_channels

## num_side_channels

unsigned char NeAACDecFrameInfo::num_side_channels

## object_type

unsigned char NeAACDecFrameInfo::object_type

## ps

unsigned char NeAACDecFrameInfo::ps

## samplerate

unsigned long NeAACDecFrameInfo::samplerate

## samples

unsigned long NeAACDecFrameInfo::samples

## sbr

unsigned char NeAACDecFrameInfo::sbr

The documentation for this struct was generated from the following file:

- neaacdec.h